smf:
  smfManagement:
    display: "SMF Management"
    mml: 
      - operation: "help"
        object: ""
        display: "List SMF MML CMD"
        params:
  systemManagement:
    display: "System Management"
    mml:
      - operation: "set"
        object: "n7 server"
        display: "Set N7 Server"
        status: "Inactive"
        params:
          - name: "scheme"
            type: "enum"
            optional: "false"
            filter: '{"0":"http", "1":"https"}'
            display: "Scheme"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: "0~64"
            display: "IP Address"
            comment: ""
          - name: "port"
            type: "int"
            optional: "false"
            filter: "0~65535"
            display: "Port"
            comment: ""
      - operation: "set"
        object: "n7 client"
        display: "Set N7 Client"
        status: "Inactive"
        params:
          - name: "scheme"
            type: "enum"
            optional: "false"
            filter: '{"0":"http", "1":"https"}'
            display: "Scheme"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: "0~64"
            display: "IP Address"
            comment: ""
      - operation: "set"
        object: "n10 server"
        display: "Set N10 Server"
        status: "Inactive"
        params:
          - name: "scheme"
            type: "enum"
            optional: "false"
            filter: '{"0":"http", "1":"https"}'
            display: "Scheme"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: "0~64"
            display: "IP Address"
            comment: ""
          - name: "port"
            type: "int"
            optional: "false"
            filter: "0~65535"
            display: "Port"
            comment: ""
      - operation: "set"
        object: "n10 client"
        display: "Set N10 Client"
        status: "Inactive"
        params:
          - name: "scheme"
            type: "enum"
            optional: "false"
            filter: '{"0":"http", "1":"https"}'
            display: "Scheme"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: "0~64"
            display: "IP Address"
            comment: ""
      - operation: "set"
        object: "n11 server"
        display: "Set N11 Server"
        status: "Inactive"
        params:
          - name: "scheme"
            type: "enum"
            optional: "false"
            filter: '{"0":"http", "1":"https"}'
            display: "Scheme"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: "0~64"
            display: "IP Address"
            comment: ""
          - name: "port"
            type: "int"
            optional: "false"
            filter: "0~65535"
            display: "Port"
            comment: ""
      - operation: "set"
        object: "n11 client"
        display: "Set N11 Client"
        status: "Inactive"
        params:
          - name: "scheme"
            type: "enum"
            optional: "false"
            filter: '{"0":"http", "1":"https"}'
            display: "Scheme"
            comment: ""
          - name: "ip"
            type: "string"
            optional: "false"
            filter: "0~64"
            display: "IP Address"
            comment: ""
      - operation: "set"
        object: "dnn"
        display: "Set DNN"
        status: "Inactive"
        params:
          - name: "index"
            type: "int"
            optional: "false"
            filter: ""
            display: "Index"
            comment: ""
          - name: "DNN"
            type: "string"
            optional: "false"
            filter: ""
            display: "DNN"
            comment: ""
      - operation: "set pccrule <index> <precedence> <qosIndex> <filter direction> <filter> <appId>"
        object: "pccrule"
        display: "Set PCC Rule"
        status: "Inactive"
        params:
          - name: "index"
            type: "int"
            optional: "false"
            filter: "0~65535"
            display: "Index"
            comment: ""
          - name: "precedence"
            type: "int"
            optional: "false"
            filter: ""
            display: "Precedence"
            comment: ""
          - name: "qosIndex"
            type: "int"
            optional: "false"
            filter: ""
            display: "QOS Index"
            comment: ""
          - name: "direction"
            type: "int"
            optional: "true"
            filter: '{"0":"NA", "1":"Uplink", "2":"Downlink", "3":"Bidirectionallink"}'
            display: "Filter Direction"
            comment: ""
          - name: "filter"
            type: "string"
            optional: "true"
            filter: ""
            display: "Filter"
            comment: ""
          - name: "appId"
            type: "string"
            optional: "true"
            filter: ""
            display: "Application ID"
            comment: ""
      - operation: "set"
        object: "urr"
        display: "Set URR"
        status: "Inactive"
        params:
          - name: "index"
            type: "string"
            optional: "false"
            filter: ""
            display: "Index"
            comment: ""
          - name: "quotavolumetatol"
            type: "string"
            optional: "false"
            filter: ""
            display: "SD"
            comment: ""
          - name: "quotavolumeul"
            type: "string"
            optional: "false"
            filter: ""
            display: "quota volume ul"
            comment: ""
          - name: "quotavolumedl"
            type: "string"
            optional: "false"
            filter: ""
            display: "quota volume dl"
            comment: ""
          - name: "quotatime"
            type: "string"
            optional: "false"
            filter: ""
            display: "quota time"
            comment: ""
      - operation: "set"
        object: "qos"
        display: "Set Qos"
        status: "Inactive"
        params:
          - name: "index"
            type: "string"
            optional: "false"
            filter: ""
            display: "Index"
            comment: ""
          - name: "5qi"
            type: "string"
            optional: "false"
            filter: ""
            display: "SD"
            comment: ""
          - name: "5qipl"
            type: "string"
            optional: "false"
            filter: ""
            display: "5qipl"
            comment: ""
          - name: "arppl"
            type: "string"
            optional: "false"
            filter: ""
            display: "arppl"
            comment: ""
          - name: "arppci"
            type: "string"
            optional: "false"
            filter: ""
            display: "arppci"
            comment: ""
          - name: "arppvi"
            type: "string"
            optional: "false"
            filter: ""
            display: "arppvi"
            comment: ""
          - name: "mfbrul"
            type: "string"
            optional: "false"
            filter: ""
            display: "mfbrul"
            comment: ""
          - name: "mfbrdl"
            type: "string"
            optional: "false"
            filter: ""
            display: "mfbrdl"
            comment: ""            
          - name: "gfbrul"
            type: "string"
            optional: "false"
            filter: ""
            display: "gfbrul"
            comment: ""
          - name: "gfbrdl"
            type: "string"
            optional: "false"
            filter: ""
            display: "gfbrdl"
            comment: ""                        
      - operation: "set"
        object: "snssai"
        display: "Set Snssai"
        status: "Inactive"
        params:
          - name: "index"
            type: "string"
            optional: "false"
            filter: ""
            display: "Index"
            comment: ""
          - name: "sst-sd"
            type: "string"
            optional: "false"
            filter: ""
            display: "sst-sd"
      - operation: "release"
        object: "imsi"
        display: "Release IMSI"
        status: "Inactive"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "pduSessId"
            type: "string"
            optional: "false"
            filter: ""
            display: "PDU Session Id"                        
      - operation: "set"
        object: "urr"
        display: "Set URR"
        status: "Inactive"
        params:
          - name: "index"
            type: "string"
            optional: "false"
            filter: ""
            display: "Index"
            comment: ""
          - name: "quotavolumetatol"
            type: "string"
            optional: "false"
            filter: ""
            display: "Quota Volume Tatol"
            comment: ""
          - name: "quotavolumeul"
            type: "string"
            optional: "false"
            filter: ""
            display: "Quota Volume UL"
            comment: ""
          - name: "quotavolumedl"
            type: "string"
            optional: "false"
            filter: ""
            display: "Quota Volume DL"
            comment: ""
          - name: "quotatime"
            type: "string"
            optional: "false"
            filter: ""
            display: "Quota Time"
            comment: ""   
      - operation: "set"
        object: "dpi"
        display: "Set DPI"
        status: "Inactive"
        params:
          - name: "flag"
            type: "enum"
            optional: "false"
            filter: '{"0":"disable", "1":"enable"}'
            display: "Flag"
            comment: ""
          - name: "max"
            type: "string"
            optional: "false"
            filter: ""
            display: "Max Detect Packet Number"
            comment: ""            
      - operation: "exec"
        object: "shell"
        display: "Execute Shell Command"
        status: "Inactive"
        params:
          - name: "cmd"
            type: "string"
            optional: "false"
            filter: ""
            display: "CMD"
            comment: ""
      - operation: "reload"
        object: ""
        display: "Reload Config"
        status: "Inactive"
        params:                    